Subject: RE: I-D ACTION:draft-ietf-smime-cms-auth-enveloped-03.txt

From: [email-masked] (Peter Gutmann)
Date: Fri, 01 Jun 2007 14:49:49 +1200

"Jim Schaad" <[email-masked]> writes:

>If this was in the original days of how an RFC worked, I would suggest that
>what happens is that two different structures be created.  One with the attrs
>first, one with the attrs last.  We could then spend some time (at least 6
>months) doing implementations and playing and then adopt one when the RFC
>progressed along the standards track.

That may not be such a bad idea.  The problem at the moment is that we have no
actual implementation experience with this, so people's arguments are based on
hypothesised usage cases.  I've been working on an implementation (to resolve
a different issue, which has now been sorted out), if anyone else has
implemented this I'd be interested in doing some interop testing.

Peter.